Get layers
curl --request GET \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/layers \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/projects/{projectKey}/layers"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/projects/{projectKey}/layers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"key": "checkout-flow",
"name": "Checkout Flow",
"description": "The checkout flow for the application",
"createdAt": 123,
"randomizationUnit": "user",
"environments": {}
}
],
"totalCount": 123,
"_links": {
"self": {
"href": "/api/v2/projects/my-project/layers",
"type": "application/json"
}
}
}{
"code": "invalid_request",
"message": "Invalid request body"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}Get layers
Get a collection of all layers for a project
GET
/
api
/
v2
/
projects
/
{projectKey}
/
layers
Get layers
Authorizations
Path Parameters
The project key
Query Parameters
A comma-separated list of filters. This endpoint only accepts filtering by experimentKey. The filter returns layers which include that experiment for the selected environment(s). For example: filter=reservations.experimentKey contains expKey.
Response
Layer Collection response
The layers in the project
Show child attributes
Show child attributes
The total number of layers in the project
The location and content type of related resources
Show child attributes
Show child attributes
Example:
{
"self": {
"href": "/api/v2/projects/my-project/layers",
"type": "application/json"
}
}